> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funder submission status

> Returns the status and details of a funder submission. Use this to poll after triggering a submission.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/funder_submissions/{submission_heron_id}/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/funder_submissions/{submission_heron_id}/:
    get:
      summary: Get funder submission status
      description: >-
        Returns the status and details of a funder submission. Use this to poll
        after triggering a submission.
      parameters:
        - description: The Heron ID of the funder submission
          in: path
          name: submission_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunderSubmissionSchema'
          description: Funder submission details
        '404':
          description: Funder submission not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FunderSubmissionSchema:
      additionalProperties: false
      properties:
        created:
          format: date-time
          readOnly: true
          type: string
        end_user_heron_id:
          readOnly: true
          type: string
        funder:
          allOf:
            - $ref: '#/components/schemas/Funder1'
          readOnly: true
        heron_id:
          readOnly: true
          type: string
        status:
          enum:
            - pending
            - in_progress
            - submitted_to_funder
            - invalid_data_for_funder
            - submission_failed
            - approved
            - declined
            - null
          nullable: true
          readOnly: true
        submission_result:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        submitted_at:
          format: date-time
          nullable: true
          readOnly: true
          type: string
      type: object
    Funder1:
      additionalProperties: false
      properties:
        heron_id:
          readOnly: true
          type: string
        name:
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````